- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes

# QAbstractFileEngine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qabstractfileengine.h.

`#include <qabstractfileengine.h>`

Inheritance diagram for QAbstractFileEngine:
[legend]

List of all members.

## Classes
class | ExtensionOption
class | ExtensionReturn
class | MapExtensionOption
class | MapExtensionReturn
class | UnMapExtensionOption
## Public Types
enum | FileFlag { ReadOwnerPerm = 0x4000, WriteOwnerPerm = 0x2000, ExeOwnerPerm = 0x1000, ReadUserPerm = 0x0400, WriteUserPerm = 0x0200, ExeUserPerm = 0x0100, ReadGroupPerm = 0x0040, WriteGroupPerm = 0x0020, ExeGroupPerm = 0x0010, ReadOtherPerm = 0x0004, WriteOtherPerm = 0x0002, ExeOtherPerm = 0x0001, LinkType = 0x10000, FileType = 0x20000, DirectoryType = 0x40000, BundleType = 0x80000, HiddenFlag = 0x0100000, LocalDiskFlag = 0x0200000, ExistsFlag = 0x0400000, RootFlag = 0x0800000, Refresh = 0x1000000, PermsMask = 0x0000FFFF, TypesMask = 0x000F0000, FlagsMask = 0x0FF00000, FileInfoAll = FlagsMask | PermsMask | TypesMask }
enum | FileName { DefaultName, BaseName, PathName, AbsoluteName, AbsolutePathName, LinkName, CanonicalName, CanonicalPathName, BundleName, NFileNames = 9 }
enum | FileOwner { OwnerUser, OwnerGroup }
enum | FileTime { CreationTime, ModificationTime, AccessTime }
enum | Extension { AtEndExtension, FastReadLineExtension, MapExtension, UnMapExtension }
typedef QAbstractFileEngineIterator | Iterator
## Public Member Functions
virtual | ~QAbstractFileEngine ()
virtual bool | open (QIODevice::OpenMode openMode)
virtual bool | close ()
virtual bool | flush ()
virtual qint64 | size () const
virtual qint64 | pos () const
virtual bool | seek (qint64 pos)
virtual bool | isSequential () const
virtual bool | remove ()
virtual bool | copy (const QString &newName)
virtual bool | rename (const QString &newName)
virtual bool | link (const QString &newName)
virtual bool | mkdir (const QString &dirName, bool createParentDirectories) const
virtual bool | rmdir (const QString &dirName, bool recurseParentDirectories) const
virtual bool | setSize (qint64 size)
virtual bool | caseSensitive () const
virtual bool | isRelativePath () const
virtual QStringList | entryList (QDir::Filters filters, const QStringList &filterNames) const
virtual FileFlags | fileFlags (FileFlags type=FileInfoAll) const
virtual bool | setPermissions (uint perms)
virtual QString | fileName (FileName file=DefaultName) const
virtual uint | ownerId (FileOwner) const
virtual QString | owner (FileOwner) const
virtual QDateTime | fileTime (FileTime time) const
virtual void | setFileName (const QString &file)
virtual int | handle () const
bool | atEnd () const
uchar * | map (qint64 offset, qint64 size, QFile::MemoryMapFlags flags)
bool | unmap (uchar *ptr)
virtual Iterator * | beginEntryList (QDir::Filters filters, const QStringList &filterNames)
virtual Iterator * | endEntryList ()
virtual qint64 | read (char *data, qint64 maxlen)
virtual qint64 | readLine (char *data, qint64 maxlen)
virtual qint64 | write (const char *data, qint64 len)
QFile::FileError | error () const
QString | errorString () const
virtual bool | extension (Extension extension, const ExtensionOption *option=0, ExtensionReturn *output=0)
virtual bool | supportsExtension (Extension extension) const
## Static Public Member Functions
static QAbstractFileEngine * | create (const QString &fileName)
## Protected Member Functions
void | setError (QFile::FileError error, const QString &str)
| QAbstractFileEngine ()
| QAbstractFileEngine (QAbstractFileEnginePrivate &)
## Protected Attributes
QScopedPointer < QAbstractFileEnginePrivate > | d_ptr

## Member Typedef Documentation

typedef QAbstractFileEngineIterator Iterator

Search for all occurrences

Definition at line 147 of file qabstractfileengine.h.

## Member Enumeration Documentation

enum FileFlag

Search for all occurrences

Enumerator:

  ReadOwnerPerm | Search for all occurrences
  WriteOwnerPerm | Search for all occurrences
  ExeOwnerPerm | Search for all occurrences
  ReadUserPerm | Search for all occurrences
  WriteUserPerm | Search for all occurrences
  ExeUserPerm | Search for all occurrences
  ReadGroupPerm | Search for all occurrences
  WriteGroupPerm | Search for all occurrences
  ExeGroupPerm | Search for all occurrences
  ReadOtherPerm | Search for all occurrences
  WriteOtherPerm | Search for all occurrences
  ExeOtherPerm | Search for all occurrences
  LinkType | Search for all occurrences
  FileType | Search for all occurrences
  DirectoryType | Search for all occurrences
  BundleType | Search for all occurrences
  HiddenFlag | Search for all occurrences
  LocalDiskFlag | Search for all occurrences
  ExistsFlag | Search for all occurrences
  RootFlag | Search for all occurrences
  Refresh | Search for all occurrences
  PermsMask | Search for all occurrences
  TypesMask | Search for all occurrences
  FlagsMask | Search for all occurrences
  FileInfoAll | Search for all occurrences

Definition at line 66 of file qabstractfileengine.h.

                      {
            //perms (overlaps the QFile::Permission)
            ReadOwnerPerm = 0x4000, WriteOwnerPerm = 0x2000, ExeOwnerPerm = 0x1000,
            ReadUserPerm  = 0x0400, WriteUserPerm  = 0x0200, ExeUserPerm  = 0x0100,
            ReadGroupPerm = 0x0040, WriteGroupPerm = 0x0020, ExeGroupPerm = 0x0010,
            ReadOtherPerm = 0x0004, WriteOtherPerm = 0x0002, ExeOtherPerm = 0x0001,

            //types
            LinkType      = 0x10000,
            FileType      = 0x20000,
            DirectoryType = 0x40000,
            BundleType    = 0x80000,

            //flags
            HiddenFlag     = 0x0100000,
            LocalDiskFlag  = 0x0200000,
            ExistsFlag     = 0x0400000,
            RootFlag       = 0x0800000,
            Refresh        = 0x1000000,

            //masks
            PermsMask  = 0x0000FFFF,
            TypesMask  = 0x000F0000,
            FlagsMask  = 0x0FF00000,
            FileInfoAll = FlagsMask | PermsMask | TypesMask
        };

enum FileName

Search for all occurrences

Enumerator:

  DefaultName | Search for all occurrences
  BaseName | Search for all occurrences
  PathName | Search for all occurrences
  AbsoluteName | Search for all occurrences
  AbsolutePathName | Search for all occurrences
  LinkName | Search for all occurrences
  CanonicalName | Search for all occurrences
  CanonicalPathName | Search for all occurrences
  BundleName | Search for all occurrences
  NFileNames | Search for all occurrences

Definition at line 94 of file qabstractfileengine.h.

                      {
            DefaultName,
            BaseName,
            PathName,
            AbsoluteName,
            AbsolutePathName,
            LinkName,
            CanonicalName,
            CanonicalPathName,
            BundleName,
            NFileNames = 9
        };

enum FileOwner

Search for all occurrences

Enumerator:

  OwnerUser | Search for all occurrences
  OwnerGroup | Search for all occurrences

Definition at line 106 of file qabstractfileengine.h.

                       {
            OwnerUser,
            OwnerGroup
        };

enum FileTime

Search for all occurrences

Enumerator:

  CreationTime | Search for all occurrences
  ModificationTime | Search for all occurrences
  AccessTime | Search for all occurrences

Definition at line 110 of file qabstractfileengine.h.

                      {
            CreationTime,
            ModificationTime,
            AccessTime
        };

enum Extension

Search for all occurrences

Enumerator:

  AtEndExtension | Search for all occurrences
  FastReadLineExtension | Search for all occurrences
  MapExtension | Search for all occurrences
  UnMapExtension | Search for all occurrences

Definition at line 158 of file qabstractfileengine.h.

                       {
            AtEndExtension,
            FastReadLineExtension,
            MapExtension,
            UnMapExtension
        };

## Constructor & Destructor Documentation

virtual ~QAbstractFileEngine | ( |  | ) | `[virtual]`

QAbstractFileEngine | ( |  | ) | `[protected]`

QAbstractFileEngine | ( | QAbstractFileEnginePrivate & |  | ) | `[protected]`

## Member Function Documentation

virtual bool open | ( | QIODevice::OpenMode | openMode | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool close | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool flush | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual qint64 size | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual qint64 pos | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool seek | ( | qint64 | pos | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool isSequential | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool remove | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool copy | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool rename | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool link | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool mkdir | ( | const QString & | dirName,
|  | bool | createParentDirectories
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool rmdir | ( | const QString & | dirName,
|  | bool | recurseParentDirectories
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool setSize | ( | qint64 | size | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool caseSensitive | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool isRelativePath | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual QStringList entryList | ( | QDir::Filters | filters,
|  | const QStringList & | filterNames
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual FileFlags fileFlags | ( | FileFlags | type = `FileInfoAll` | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool setPermissions | ( | uint | perms | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual QString fileName | ( | FileName | file = `DefaultName` | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual uint ownerId | ( | FileOwner |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual QString owner | ( | FileOwner |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual QDateTime fileTime | ( | FileTime | time | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual void setFileName | ( | const QString & | file | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual int handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

bool atEnd | ( |  | ) | const

Search for all occurrences

uchar* map | ( | qint64 | offset,
|  | qint64 | size,
|  | QFile::MemoryMapFlags | flags
| ) |  |

Search for all occurrences

bool unmap | ( | uchar * | ptr | ) |

Search for all occurrences

virtual Iterator* beginEntryList | ( | QDir::Filters | filters,
|  | const QStringList & | filterNames
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual Iterator* endEntryList | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual qint64 read | ( | char * | data,
|  | qint64 | maxlen
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual qint64 readLine | ( | char * | data,
|  | qint64 | maxlen
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual qint64 write | ( | const char * | data,
|  | qint64 | len
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

QFile::FileError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

virtual bool extension | ( | Extension | extension,
|  | const ExtensionOption * | option = `0`,
|  | ExtensionReturn * | output = `0`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

virtual bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QFSFileEngine.

static QAbstractFileEngine* create | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

void setError | ( | QFile::FileError | error,
|  | const QString & | str
| ) |  | `[protected]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QAbstractFileEnginePrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 197 of file qabstractfileengine.h.

The documentation for this class was generated from the following file:

- QtCore/qabstractfileengine.h

QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine
QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine QAbstractFileEngine